CREATE SCHEMA "JEDECMA";

CREATE TABLE "JEDECMA"."EDECMA" ("NUMARC" INTEGER NOT NULL DEFAULT 0, "DATESA" DATE, "COGNOM" VARCHAR(30) NOT NULL DEFAULT '', "DATNAS" DATE, "DGNECO" VARCHAR(20) NOT NULL DEFAULT '', "DGNIST" VARCHAR(20) NOT NULL DEFAULT '', "DGNCIT" VARCHAR(20) NOT NULL DEFAULT '', "CITECO" INTEGER NOT NULL DEFAULT 0, "ISTECO" INTEGER NOT NULL DEFAULT 0, "TMMALG" INTEGER NOT NULL DEFAULT 0, "PESOPZ" DOUBLE NOT NULL DEFAULT 0, "ALTZPZ" DOUBLE NOT NULL DEFAULT 0, "NMRFGL" INTEGER NOT NULL DEFAULT 0, "ALLATT" INTEGER DEFAULT NULL, "FAMPAT" VARCHAR(20) NOT NULL DEFAULT '', "MENARC" INTEGER NOT NULL DEFAULT 0, "MENOPA" INTEGER NOT NULL DEFAULT 0, "SPSGHI" DOUBLE NOT NULL DEFAULT 0, "EGMAMM" INTEGER NOT NULL DEFAULT 0, "TCAPEZ" INTEGER NOT NULL DEFAULT 0, "TDOTTI" INTEGER NOT NULL DEFAULT 0, "MPFBCS" INTEGER NOT NULL DEFAULT 0, "TESCRC" INTEGER NOT NULL DEFAULT 0, "MPMICS" INTEGER NOT NULL DEFAULT 0, "EMATIC" INTEGER NOT NULL DEFAULT 0, "MPMACS" INTEGER NOT NULL DEFAULT 0, "ESMICA" INTEGER NOT NULL DEFAULT 0, "VGENCS" INTEGER NOT NULL DEFAULT 0, "ESMACA" INTEGER NOT NULL DEFAULT 0, "TSTTUM" INTEGER NOT NULL DEFAULT 0, "TERMED" VARCHAR(20) NOT NULL DEFAULT '', "TERCHI" VARCHAR(20) NOT NULL DEFAULT '', "TMSEDE" VARCHAR(10) NOT NULL DEFAULT '', "TMCOMP" INTEGER NOT NULL DEFAULT 0, "TMDIME" VARCHAR(12) NOT NULL DEFAULT '', "TMSUPE" DOUBLE NOT NULL DEFAULT 0, "TMVOLU" DOUBLE NOT NULL DEFAULT 0, "TMCONT" INTEGER NOT NULL DEFAULT 0, "TMMARG" INTEGER NOT NULL DEFAULT 0, "TMEGEN" INTEGER NOT NULL DEFAULT 0, "TMATTN" INTEGER NOT NULL DEFAULT 0, "TMCONO" INTEGER NOT NULL DEFAULT 0, "TMTUNN" INTEGER NOT NULL DEFAULT 0, "TMMACA" INTEGER NOT NULL DEFAULT 0, "TMMICA" INTEGER NOT NULL DEFAULT 0, "TMTMAC" INTEGER NOT NULL DEFAULT 0, "TMTMIC" INTEGER NOT NULL DEFAULT 0, "TMCOOP" INTEGER NOT NULL DEFAULT 0, "TMEGCU" INTEGER NOT NULL DEFAULT 0, "TMSASC" INTEGER NOT NULL DEFAULT 0, "TMSARM" INTEGER NOT NULL DEFAULT 0, "TMEGFM" INTEGER NOT NULL DEFAULT 0, "TMINFA" INTEGER NOT NULL DEFAULT 0, "TMDOPP" INTEGER NOT NULL DEFAULT 0, "TAPRGH" INTEGER NOT NULL DEFAULT 0, "TAREGH" INTEGER NOT NULL DEFAULT 0, "TAINGH" INTEGER NOT NULL DEFAULT 0, "MSTRZN" INTEGER NOT NULL DEFAULT 0, "DATUMS" DATE, "SPSGH1" DOUBLE NOT NULL DEFAULT 0, "ARPROL" INTEGER NOT NULL DEFAULT 0, "FIBNOD" INTEGER NOT NULL DEFAULT 0, "ESMAMM" INTEGER NOT NULL DEFAULT 0, "DTMAMM" DATE, "DRMAMM" VARCHAR(20) NOT NULL DEFAULT '', "ECBPRV" VARCHAR(4) NOT NULL DEFAULT '', "MASTOD" INTEGER NOT NULL DEFAULT 0, "MASTSE" VARCHAR(10) NOT NULL DEFAULT '', "DISCUT" DOUBLE NOT NULL DEFAULT 0, "DISFAS" DOUBLE NOT NULL DEFAULT 0, "DISCAP" DOUBLE NOT NULL DEFAULT 0, "DATUPD" DATE, "DTLECO" DATE, "OPLECO" VARCHAR(20) NOT NULL DEFAULT '', "RELECO" INTEGER NOT NULL DEFAULT 0, "DTLMRI" DATE, "OPLMRI" VARCHAR(20) NOT NULL DEFAULT '', "RELMRI" INTEGER NOT NULL DEFAULT 0, "DTLELG" DATE, "OPLELG" VARCHAR(20) NOT NULL DEFAULT '', "RELELG" INTEGER NOT NULL DEFAULT 0, "DTLFNA" DATE, "OPLFNA" VARCHAR(20) NOT NULL DEFAULT '', "RELFNA" INTEGER NOT NULL DEFAULT 0, "DTLBIO" DATE, "OPLBIO" VARCHAR(20) NOT NULL DEFAULT '', "RELBIO" INTEGER NOT NULL DEFAULT 0, "PROLID" INTEGER NOT NULL DEFAULT 0, PRIMARY KEY ("NUMARC"));

CREATE TABLE "JEDECMA"."DIAGTXT" ("EXAMNR" INTEGER NOT NULL DEFAULT 0, "TEXT" LONG VARCHAR NOT NULL DEFAULT '', "DATUPD" DATE, PRIMARY KEY ("EXAMNR"));

CREATE TABLE "JEDECMA"."EDECAN" ("ANCODE" INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), "ANNAME" VARCHAR(30) NOT NULL DEFAULT '', "ANBRTD" DATE, "ANADDR" VARCHAR(30) NOT NULL DEFAULT '', "ANLOCA" VARCHAR(30) NOT NULL DEFAULT '', "ANCAPC" VARCHAR(5) NOT NULL DEFAULT '', "ANRPRV" VARCHAR(4) NOT NULL DEFAULT '', "ANBPRV" VARCHAR(4) NOT NULL DEFAULT '', "ANTELN" VARCHAR(15) NOT NULL DEFAULT '', "ANTEL2" VARCHAR(15) NOT NULL DEFAULT '', "EMAIL" VARCHAR(50) NOT NULL DEFAULT '', "ANPROF" VARCHAR(4) NOT NULL DEFAULT '', "ANNOTE" VARCHAR(30) NOT NULL DEFAULT '', "ANFAMI" VARCHAR(20) NOT NULL DEFAULT '', "ANMENA" INTEGER NOT NULL DEFAULT 0, "ANHEIG" DOUBLE NOT NULL DEFAULT 0, "ANWEIG" DOUBLE NOT NULL DEFAULT 0, "ANCHLD" INTEGER NOT NULL DEFAULT 0, "AN1CHA" INTEGER NOT NULL DEFAULT 0, "ANSUCK" INTEGER NOT NULL DEFAULT 0, "ANMENS" INTEGER NOT NULL DEFAULT 0, "ANMENP" INTEGER NOT NULL DEFAULT 0, "DATUPD" DATE, PRIMARY KEY ("ANCODE"));

CREATE UNIQUE INDEX "JEDECMA"."EDECANKEY" ON "JEDECMA"."EDECAN" ("ANNAME", "ANBRTD", "ANBPRV");

CREATE TABLE "JEDECMA"."TBLPROF" ("PROFCOD" VARCHAR(4) NOT NULL DEFAULT '', "PROFDES" VARCHAR(30) NOT NULL DEFAULT '', PRIMARY KEY ("PROFCOD"));

CREATE TABLE "JEDECMA"."TBLCCDB" ("CITY" VARCHAR(30) NOT NULL DEFAULT '', "CODE" VARCHAR(30) NOT NULL DEFAULT '', "PROV" VARCHAR(2) NOT NULL DEFAULT '');

CREATE TABLE "JEDECMA"."TBLUSER" ("USERNO" INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), "USERNAME" VARCHAR(30) DEFAULT NULL, "USERPW" VARCHAR(12) DEFAULT NULL, "USERPR" CHAR(1) DEFAULT NULL, PRIMARY KEY ("USERNO"));

INSERT INTO "JEDECMA"."TBLUSER" VALUES (DEFAULT,'jedecma','amVkZWNtYQ==','1');

CREATE TABLE "JEDECMA"."TBLLCKS" ("LOCKNO" INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), "LOCKCOD" VARCHAR(64) NOT NULL DEFAULT '', "LOCKUSR" INTEGER NOT NULL DEFAULT 0, "IDEX" INTEGER NOT NULL DEFAULT 0, PRIMARY KEY ("LOCKNO"), UNIQUE ("LOCKCOD", "IDEX"));

CREATE TABLE "JEDECMA"."ECOIMG" ("ID" INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), "EXAMNR" INTEGER NOT NULL DEFAULT 0, "BASENAME" VARCHAR(128) NOT NULL DEFAULT '', "NOTE" VARCHAR(128) NOT NULL DEFAULT '', "DATUPD" DATE, PRIMARY KEY ("ID"));
